curl --request POST \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/invoice-payment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoice_id": "<string>",
"transaction_id": "<string>",
"payment_amount": 1
}
'{
"data": {
"business_id": "<string>",
"number": "<string>",
"description": "<string>",
"total_amount": 123,
"source": "manual",
"due_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"status": "open",
"id": "<string>",
"customer_id": "<string>",
"total_paid": 0,
"voided_at": "2023-11-07T05:31:56Z",
"credit_amount": 123,
"metadata_": {},
"lines": [
{
"description": "<string>",
"ledger_id": "ldg_WQMDNUHpBThYSNh4AprDBo",
"unit_price": 123,
"quantity": 123,
"id": "<string>",
"invoice_id": "<string>",
"discount_amount": 123,
"discount_rate": 123,
"tax_amount": 123,
"tax_rate": 123,
"is_prepayment": true,
"metadata_": {}
}
],
"payments": [
{
"invoice_id": "<string>",
"transaction_id": "<string>",
"payment_id": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"payment_amount": 123,
"id": "<string>",
"invoice": "<unknown>"
}
]
}
}Manually apply a transaction as payment to an invoice.
curl --request POST \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/invoice-payment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoice_id": "<string>",
"transaction_id": "<string>",
"payment_amount": 1
}
'{
"data": {
"business_id": "<string>",
"number": "<string>",
"description": "<string>",
"total_amount": 123,
"source": "manual",
"due_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"status": "open",
"id": "<string>",
"customer_id": "<string>",
"total_paid": 0,
"voided_at": "2023-11-07T05:31:56Z",
"credit_amount": 123,
"metadata_": {},
"lines": [
{
"description": "<string>",
"ledger_id": "ldg_WQMDNUHpBThYSNh4AprDBo",
"unit_price": 123,
"quantity": 123,
"id": "<string>",
"invoice_id": "<string>",
"discount_amount": 123,
"discount_rate": 123,
"tax_amount": 123,
"tax_rate": 123,
"is_prepayment": true,
"metadata_": {}
}
],
"payments": [
{
"invoice_id": "<string>",
"transaction_id": "<string>",
"payment_id": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"payment_amount": 123,
"id": "<string>",
"invoice": "<unknown>"
}
]
}
}The access token received from the authorization server in the OAuth 2.0 flow.
Optional external entity identifier that perfomed the action
Successful Response
Show child attributes
The ID of the Business that the invoice is associated with
The number of the invoice. Must be unique across all invoices for a business.
255The description of the invoice
512The amount of the invoice
The source of the invoice
manual, stripe The due date of the invoice
The date the invoice was sent
The status of the invoice
open, paid, uncollectible, voided, refunded, partially_refunded The ID of the invoice
The ID of the Customer that the invoice is associated with
The amount of the invoice that has been paid
The date the invoice was voided
The amount to issue as a credit in the invoice
The lines of the invoice
Show child attributes
The description of the line item
512The ID of the ledger that the line item is associated with
"ldg_WQMDNUHpBThYSNh4AprDBo"
The unit price of the line item
The quantity of the line item
The ID of the invoice line
The ID of the invoice that the line item is associated with
The discount amount of the line item
The discount rate of the line item
The tax amount of the line item
The tax rate of the line item
Whether the line item is a prepayment
The payments of the invoice
Show child attributes
The ID of the invoice that the payment is associated with
The ID of the transaction that the payment is associated with
The external identifier of the payment
255The date and time the payment was made
The amount of the payment
The ID of the invoice payment
The invoice that the payment is associated with